Loading...
Searching...
No Matches
SourceImageItem Class Reference

Class representing a single item of the Source Image Sequence. More...

## Public Member Functions

| SourceImageItem ()
| Constructor, constructs empty Source Image Sequence item.
virtual | ~SourceImageItem ()
| Virtual destructor, cleans up memory.
virtual void | clearData ()
| Clears all data handled by this component.
virtual OFCondition | check () const
| Check whether this item contains valid data.
virtual CodeSequenceMacro & | getPurposeOfReferenceCode ()
| Return handle to to purpose of reference code.
virtual ImageSOPInstanceReferenceMacro & | getImageSOPInstanceReference ()
| Returns handle to to image sop instance reference.
virtual OFCondition | getSpatialLocationsPreserved (OFString &value, const signed long pos=0) const
| Get Spatial Locations Preserved.
virtual OFCondition | setSpatialLocationsPreserved (const OFString &value, const OFBool checkValue)
| Set Spatial Locations Preserved.
virtual OFCondition | read (DcmItem &itemOfSourceImageSequence, const OFBool clearOldData=OFTrue)
| Reads source image item from given item.
virtual OFCondition | write (DcmItem &itemOfSourceImageSequence)
| Writes source image item to given item.
virtual int | compare (const SourceImageItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
SourceImageItem & | operator= (const SourceImageItem &rhs)
| Assignment operator, deletes old data.

## Private Attributes

CodeSequenceMacro | m_PurposeOfReferenceCode
| Describes purpose of reference (single item of Purpose of Reference Code Sequence).
ImageSOPInstanceReferenceMacro | m_ImageSOPInstanceReference
| Contains the referenced images (as represented by one of the items of "this" Source Image Sequence).
DcmCodeString | m_SpatialLocationsPreserved
| Denotes whether spatial locations from source image have been preseved.

## Detailed Description

Class representing a single item of the Source Image Sequence.

## Member Function Documentation

## check()

virtual OFCondition SourceImageItem::check | ( |  | ) | const

virtual

Check whether this item contains valid data.

Returns
  EC_Normal if data is valid, error otherwise

## compare()

virtual int SourceImageItem::compare | ( | const SourceImageItem & | rhs | ) | const

virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

References SourceImageItem().

## getImageSOPInstanceReference()

virtual ImageSOPInstanceReferenceMacro & SourceImageItem::getImageSOPInstanceReference | ( |  | ) |

virtual

Returns handle to to image sop instance reference.

Returns
  EC_Normal if data is valid, error otherwise

## getPurposeOfReferenceCode()

virtual CodeSequenceMacro & SourceImageItem::getPurposeOfReferenceCode | ( |  | ) |

virtual

Return handle to to purpose of reference code.

Returns
  EC_Normal if data is valid, error otherwise

## getSpatialLocationsPreserved()

virtual OFCondition SourceImageItem::getSpatialLocationsPreserved | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Spatial Locations Preserved.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## operator=()

SourceImageItem & SourceImageItem::operator= | ( | const SourceImageItem & | rhs | ) |

Assignment operator, deletes old data.

Parameters

  rhs | The item that should be assigned to "this" class

Returns
  Reference to "this" class

References SourceImageItem().

## read()

virtual OFCondition SourceImageItem::read | ( | DcmItem & | itemOfSourceImageSequence,
|  | const OFBool | clearOldData = OFTrue )

virtual

Reads source image item from given item.

Parameters

  itemOfSourceImageSequence | Reference to item of Source Image Sequence
  clearOldData | If OFTue, old data in this class is cleared before reading

Returns
  EC_Normal if reading was successful, error otherwise

## setSpatialLocationsPreserved()

virtual OFCondition SourceImageItem::setSpatialLocationsPreserved | ( | const OFString & | value,
|  | const OFBool | checkValue )

virtual

Set Spatial Locations Preserved.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition SourceImageItem::write | ( | DcmItem & | itemOfSourceImageSequence | ) |

virtual

Writes source image item to given item.

Parameters

  itemOfSourceImageSequence | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgderimg.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0